--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Form helpers provide a number of methods to simplify the creation of HTML forms. They can work directly with models (bound) or standalone (unbound).
constants: []

full_name: Merb::Helpers::Form
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: _new_form_context
- !ruby/object:RI::MethodSummary 
  name: _singleton_form_context
- !ruby/object:RI::MethodSummary 
  name: button
- !ruby/object:RI::MethodSummary 
  name: check_box
- !ruby/object:RI::MethodSummary 
  name: current_form_context
- !ruby/object:RI::MethodSummary 
  name: delete_button
- !ruby/object:RI::MethodSummary 
  name: error_messages
- !ruby/object:RI::MethodSummary 
  name: error_messages_for
- !ruby/object:RI::MethodSummary 
  name: fields_for
- !ruby/object:RI::MethodSummary 
  name: fieldset
- !ruby/object:RI::MethodSummary 
  name: fieldset_for
- !ruby/object:RI::MethodSummary 
  name: file_field
- !ruby/object:RI::MethodSummary 
  name: form
- !ruby/object:RI::MethodSummary 
  name: form_contexts
- !ruby/object:RI::MethodSummary 
  name: form_for
- !ruby/object:RI::MethodSummary 
  name: hidden_field
- !ruby/object:RI::MethodSummary 
  name: label
- !ruby/object:RI::MethodSummary 
  name: password_field
- !ruby/object:RI::MethodSummary 
  name: radio_button
- !ruby/object:RI::MethodSummary 
  name: radio_group
- !ruby/object:RI::MethodSummary 
  name: select
- !ruby/object:RI::MethodSummary 
  name: submit
- !ruby/object:RI::MethodSummary 
  name: text_area
- !ruby/object:RI::MethodSummary 
  name: text_field
- !ruby/object:RI::MethodSummary 
  name: with_form_context
name: Form
superclass: 
